<?php

/*
Item definition:
Type - identifikace typu z podporovaných 
Caption - popisek, titulek položky
Default - výchozí hodnota
Null - hodnota nemusí být zadána
InList - sloupec viditelný v seznamu
Suffix - text za hodnotou
Description - popis významu položky
ReadOnly - je položky pouze pro čtení
Required - položka je vyžadována
*/


$FormClasses = array(    
  'NetworkLink' => array(
    'Title' => 'Síťové propojení',
    'Table' => 'NetworkLink',
    'Items' => array(
      'Type' => array('Type' => 'Integer', 'Caption' => 'Typ', 'Default' => '1'),
      'Interface1' => array('Type' => 'TNetworkInterface', 'Caption' => 'Rozhraní 1', 'Default' => ''),
      'Interface2' => array('Type' => 'TNetworkInterface', 'Caption' => 'Rozhraní 2', 'Default' => ''),
    ),
  ),
  'PermissionUserAssignment' => array(
    'Title' => 'Oprávnění uživatelů',
    'Table' => 'PermissionUserAssignment',
    'Items' => array(
      'User' => array('Type' => 'TUser', 'Caption' => 'Uživatel', 'Default' => ''),        
      'AssignedGroup' => array('Type' => 'TPermissionGroup', 'Caption' => 'Přiřazené skupiny', 'Default' => '', 'Null' => true),        
      'AssignedOperation' => array('Type' => 'TPermissionOperation', 'Caption' => 'Přiřazené operace', 'Default' => '', 'Null' => true),        
    ),
  ),
  'PermissionGroup' => array(
    'Title' => 'Skupiny oprávnění',
    'Table' => 'PermissionGroup',
    'Items' => array(
      'Description' => array('Type' => 'String', 'Caption' => 'Název', 'Default' => ''),        
      'AssignedGroup' => array('Type' => 'TPermissionGroupAssignmentListGroup', 'Caption' => 'Přiřazené skupiny a operace', 'Default' => '', 'Null' => true),        
      'AssignedGroup2' => array('Type' => 'TPermissionGroupAssignmentListAssignedGroup', 'Caption' => 'Použito ve skupinách', 'Default' => '', 'Null' => true),        
    ),
  ),
  'PermissionGroupAssignment' => array(
    'Title' => 'Přiřazení skupin oprávnění',
    'Table' => 'PermissionGroupAssignment',
    'Items' => array(
      'Group' => array('Type' => 'TPermissionGroup', 'Caption' => 'Skupina', 'Default' => ''),        
      'AssignedGroup' => array('Type' => 'TPermissionGroup', 'Caption' => 'Přiřazené skupiny', 'Default' => '', 'Null' => true),        
      'AssignedOperation' => array('Type' => 'TPermissionOperation', 'Caption' => 'Přiřazené operace', 'Default' => '', 'Null' => true),        
    ),
  ),
  'PermissionOperation' => array(
    'Title' => 'Operace oprávnění',
    'Table' => 'PermissionOperation',
    'Items' => array(
      'Module' => array('Type' => 'String', 'Caption' => 'Modul', 'Default' => ''),        
      'Operation' => array('Type' => 'String', 'Caption' => 'Operace', 'Default' => ''),        
      'Item' => array('Type' => 'String', 'Caption' => 'Položka', 'Default' => ''),        
      'ItemId' => array('Type' => 'Integer', 'Caption' => 'Index položky', 'Default' => ''),        
      'AssignedGroup' => array('Type' => 'TPermissionGroupAssignmentListOperation', 'Caption' => 'Použito ve skupinách', 'Default' => '', 'Null' => true),        
    ),
  ),
  'UserCustomerRel' => array(
    'Title' => 'Vztahy uživatel - zákazník',
    'Table' => 'UserCustomerRel',
    'Items' => array(
      'User' => array('Type' => 'TUser', 'Caption' => 'Uživatel', 'Default' => ''),        
      'Customer' => array('Type' => 'TMember', 'Caption' => 'Zákazník', 'Default' => ''),        
    ),
  ),
  'ServiceCustomerRel' => array(
    'Title' => 'Vztahy služba - zákazník',
    'Table' => 'ServiceCustomerRel',
    'Items' => array(
      'Service' => array('Type' => 'TService', 'Caption' => 'Služba', 'Default' => ''),        
      'Customer' => array('Type' => 'TMember', 'Caption' => 'Zákazník', 'Default' => ''),        
      'Period' => array('Type' => 'Integer', 'Caption' => 'Období', 'Default' => ''),        
    ),
  ),
  'Work' => array(
    'Title' => 'Práce',
    'Table' => 'Work',
    'DefaultSortColumn' => 'TimeStart',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Název', 'Default' => ''),        
      'Description' => array('Type' => 'Text', 'Caption' => 'Popis', 'Default' => ''),        
      'TimeStart' => array('Type' => 'DateTime', 'Caption' => 'Čas začátku', 'Default' => ''),        
      'Duration' => array('Type' => 'Float', 'Caption' => 'Trvání', 'Default' => '1', 'Suffix' => 'hodin'),
      'User' => array('Type' => 'TUser', 'Caption' => 'Uživatel', 'Default' => '1', 'Null' => true),
      'Task' => array('Type' => 'TTask', 'Caption' => 'Úkol', 'Default' => '', 'Null' => true),
    ),
  ),
  'NetworkDeviceConfig' => array(
    'Title' => 'Nastavení zařízení',
    'Table' => 'NetworkDeviceConfig',
    'DefaultSortColumn' => 'Time',
    'Items' => array(
      'Device' => array('Type' => 'TNetworkDevice', 'Caption' => 'Zařízení', 'Default' => ''),        
      'Time' => array('Type' => 'Date', 'Caption' => 'Čas vytvoření', 'Default' => ''),        
      'ConfigFull' => array('Type' => 'Text', 'Caption' => 'Kompletní nastavení', 'Default' => ''),        
      'ConfigCompact' => array('Type' => 'Text', 'Caption' => 'Rozdílové nastavení', 'Default' => ''),        
    ),
  ),
  'DocumentLine' => array(
    'Title' => 'Dokladové řady',
    'Table' => 'DocumentLine',
    'DefaultSortColumn' => 'Name',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),        
      'Shortcut' => array('Type' => 'String', 'Caption' => 'Kód', 'Default' => ''),        
      'Sequence' => array('Type' => 'TDocumentLineSequenceListLine', 'Caption' => 'Čísleníky', 'Default' => ''),        
    ),
  ),
  'DocumentLineSequence' => array(
    'Title' => 'Čísleníky dokladových řad',
    'Table' => 'DocumentLineSequence',
    'DefaultSortColumn' => 'Id',
    'Items' => array(
      'DocumentLine' => array('Type' => 'TDocumentLine', 'Caption' => 'Dokladová řada', 'Default' => ''),        
      'FinanceYear' => array('Type' => 'TFinanceYear', 'Caption' => 'Účetní rok', 'Default' => ''),        
      'NextNumber' => array('Type' => 'Integer', 'Caption' => 'Další číslo', 'Default' => ''),        
      'YearPrefix' => array('Type' => 'Boolean', 'Caption' => 'Rok jako předpona', 'Default' => ''),        
    ),
  ),
  'FinanceYear' => array(
    'Title' => 'Účetní roky',
    'Table' => 'FinanceYear',
    'DefaultSortColumn' => 'Year',
    'Items' => array(
      'Year' => array('Type' => 'Integer', 'Caption' => 'Rok', 'Default' => ''),        
      'DateStart' => array('Type' => 'Date', 'Caption' => 'První den', 'Default' => ''),        
      'DateEnd' => array('Type' => 'Date', 'Caption' => 'Poslední den', 'Default' => ''),        
      'Sequence' => array('Type' => 'TDocumentLineSequenceListYear', 'Caption' => 'Čísleníky', 'Default' => ''),        
    ),
  ),
  'TV' => array(
    'Title' => 'TV kanály',
    'Table' => 'TV',
    'DefaultSortColumn' => 'Name',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
      'Frequency' => array('Type' => 'Integer', 'Caption' => 'Frekvence', 'Default' => '', 'Suffix' => 'Hz'),
      'Norm' => array('Type' => 'String', 'Caption' => 'Video norma', 'Default' => ''),
      'Homepage' => array('Type' => 'Hyperlink', 'Caption' => 'Web', 'Default' => ''),
      'Language' => array('Type' => 'TLanguage', 'Caption' => 'Jazyk', 'Default' => '', 'Null' => true),
      'ShortName' => array('Type' => 'String', 'Caption' => 'Zkratka', 'Default' => ''),
      'Stream' => array('Type' => 'Hyperlink', 'Caption' => 'Proud', 'Default' => ''),
      'StreamWeb' => array('Type' => 'Hyperlink', 'Caption' => 'Proud web', 'Default' => ''),
      'SourceType' => array('Type' => 'String', 'Caption' => 'Typ zdroje', 'Default' => ''),
      'Category' => array('Type' => 'TTVGroup', 'Caption' => 'Kategorie', 'Default' => '', 'Null' => true),
    ),
  ),
  'TVGroup' => array(
    'Title' => 'Skupiny TV kanálů',
    'Table' => 'TVGroup',
    'DefaultSortColumn' => 'Name',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),        
    ),
  ),
  'Language' => array(
    'Title' => 'Jazyky',
    'Table' => 'Language',
    'DefaultSortColumn' => 'Name',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
    ),
  ),
  'Task' => array(
    'Title' => 'Úkoly',
    'Table' => 'Task',
    'DefaultSortColumn' => 'Name',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => '', 'Required' => true),
      'Description' => array('Type' => 'Text', 'Caption' => 'Popis', 'Default' => ''),
      'TimeCreate' => array('Type' => 'Date', 'Caption' => 'Datum zadání', 'Default' => '', 'Required' => true),
      'TimeDue' => array('Type' => 'Date', 'Caption' => 'Termín', 'Default' => '', 'Null' => true),
      'TimeClose' => array('Type' => 'Date', 'Caption' => 'Datum uzavření', 'Default' => '', 'Null' => true),
      'Priority' => array('Type' => 'TPriority', 'Caption' => 'Důležitost', 'Default' => 1),
      'Conclusion' => array('Type' => 'Text', 'Caption' => 'Vyhodnocení', 'Default' => ''),
      'Public' => array('Type' => 'Boolean', 'Caption' => 'Veřejné', 'Default' => '0'), 
      'Progress' => array('Type' => 'Integer', 'Caption' => 'Průběh', 'Default' => '0', 'Suffix' => '%'),
      'Group' => array('Type' => 'TTaskGroup', 'Caption' => 'Kategorie', 'Default' => '', 'Null' => true),
      'AssignedTo' => array('Type' => 'TUser', 'Caption' => 'Přiřazeno', 'Default' => '', 'Null' => true),
      'Work' => array('Type' => 'TWorkListTask', 'Caption' => 'Práce', 'Default' => ''),
    ),
  ),
  'UnitOfMeasure' => array(
    'Title' => 'Měrné jednotky',
    'Table' => 'UnitOfMeasure',
    'DefaultSortColumn' => 'Name',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
      'Unit' => array('Type' => 'String', 'Caption' => 'Jednotka', 'Default' => ''),
    ),
  ),
  'TaskGroup' => array(
    'Title' => 'Kategorie úkolu',
    'Table' => 'TaskGroup',
    'DefaultSortColumn' => 'Name',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
      'Description' => array('Type' => 'Text', 'Caption' => 'Popis', 'Default' => ''),
      'Parent' => array('Type' => 'TTaskGroup', 'Caption' => 'Kategorie', 'Default' => '', 'Null' => true),
      'Tasks' => array('Type' => 'TTaskList', 'Caption' => 'Úkoly', 'Default' => ''),
    ),
  ),
  'Product' => array(
    'Title' => 'Produkty',
    'Table' => 'Product',
    'DefaultSortColumn' => 'Name',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
      'SellPrice' => array('Type' => 'Integer', 'Caption' => 'Prodejní cena', 'Default' => '0', 'Suffix' => 'Kč'),
      'BuyPrice' => array('Type' => 'Integer', 'Caption' => 'Kupní cena', 'Default' => '0', 'Suffix' => 'Kč'),
      'VAT' => array('Type' => 'Integer', 'Caption' => 'DPH', 'Default' => '0', 'Suffix' => '%'),
      'Consumption' => array('Type' => 'Integer', 'Caption' => 'Spotřeba', 'Default' => '', 'Suffix' => 'Watt'),
      'Supplier' => array('Type' => 'TSubject', 'Caption' => 'Dodavatel', 'Default' => '', 'Null' => true),
      'Manufacturer' => array('Type' => 'TSubject', 'Caption' => 'Výrobce', 'Default' => '', 'Null' => true),
      'Code' => array('Type' => 'String', 'Caption' => 'Kód', 'Default' => ''),
      'UnitOfMeasure' => array('Type' => 'TUnitOfMeasure', 'Caption' => 'Měrná jednotka', 'Default' => '', 'Null' => true),
      'StockItems' => array('Type' => 'TStockItemListProduct', 'Caption' => 'Položky na skladě', 'Default' => '', 'Suffix' => 'ks'),
    ),
  ),
  'StockItem' => array(
    'Title' => 'Skladové položky',
    'Table' => 'StockItem',
    'DefaultSortColumn' => 'Id',
    'Items' => array(
      'Stock' => array('Type' => 'TStock', 'Caption' => 'Sklad', 'Default' => ''),
      'Product' => array('Type' => 'TProduct', 'Caption' => 'Produkt', 'Default' => ''),
      'TimeEnlistment' => array('Type' => 'Date', 'Caption' => 'Datum zařazení', 'Default' => ''),
      'TimeElimination' => array('Type' => 'Date', 'Caption' => 'Datum vyřazení', 'Default' => ''),
      'SellPrice' => array('Type' => 'Integer', 'Caption' => 'Prodejní cena', 'Default' => '0', 'Suffix' => 'Kč'),
      'BuyPrice' => array('Type' => 'Integer', 'Caption' => 'Kupní cena', 'Default' => '0', 'Suffix' => 'Kč'),
      'Amount' => array('Type' => 'Integer', 'Caption' => 'Množství', 'Default' => '1'),
      'SerialNumber' => array('Type' => 'String', 'Caption' => 'Sériové číslo', 'Default' => '', 'Null' => true),
      'RegNumber' => array('Type' => 'String', 'Caption' => 'Evidenční číslo', 'Default' => '', 'Null' => true),
      'Location' => array('Type' => 'TMember', 'Caption' => 'Umístění', 'Default' => '', 'Null' => true),
      'Segment' => array('Type' => 'TNetworkSegment', 'Caption' => 'Úsek sítě', 'Default' => '', 'Null' => true),
      'Info' => array('Type' => 'Text', 'Caption' => 'Informace', 'Default' => ''),
    ),
  ),
  'Stock' => array(
    'Title' => 'Sklady',
    'Table' => 'Stock',
    'DefaultSortColumn' => 'Name',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
      'Location' => array('Type' => 'TMember', 'Caption' => 'Umístění', 'Default' => '', 'Null' => true),
      'Items' => array('Type' => 'TStockItemListStock', 'Caption' => 'Položky', 'Default' => ''),
    ),
  ),
  'Log' => array(
    'Title' => 'Záznamy',
    'Table' => 'Log',
    'DefaultSortColumn' => 'Time',
    'Items' => array(
      'Time' => array('Type' => 'DateTime', 'Caption' => 'Čas', 'Default' => '', 'ReadOnly' => true),
      'User' => array('Type' => 'TUser', 'Caption' => 'Uživatel', 'Default' => '', 'Null' => true, 'ReadOnly' => true),
      'Module' => array('Type' => 'String', 'Caption' => 'Modul', 'Default' => '', 'ReadOnly' => true),
      'Operation' => array('Type' => 'String', 'Caption' => 'Operace', 'Default' => '', 'ReadOnly' => true),
      'Value' => array('Type' => 'Text', 'Caption' => 'Hodnota', 'Default' => '', 'ReadOnly' => true),
    ),
  ),
  'FinanceBillingPeriod' => array(
    'Title' => 'Platební období',
    'Table' => 'FinanceBillingPeriod',
    'DefaultSortColumn' => 'Name',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
      'MonthCount' => array('Type' => 'Integer', 'Caption' => 'Počet měsíců', 'Default' => '0', 'Suffix' => 'měsíců'),
    ),
  ),
  'Service' => array(
    'Title' => 'Služby',
    'Table' => 'Service',
    'DefaultSortColumn' => 'Name',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
      'Category' => array('Type' => 'TServiceCategory', 'Caption' => 'Skupina', 'Default' => '', 'Null' => true),
      'Price' => array('Type' => 'Integer', 'Caption' => 'Cena', 'Default' => '0', 'Suffix' => 'Kč'),
      'CustomerCount' => array('Type' => 'Integer', 'Caption' => 'Počet zákazníků', 'Default' => ''),
      'Public' => array('Type' => 'Boolean', 'Caption' => 'Veřejné', 'Default' => ''),
      'InternetSpeedMin' => array('Type' => 'Integer', 'Caption' => 'Min. rychlost internetu', 'Default' => '0', 'Suffix' => 'kbit/s'),
      'InternetSpeedMax' => array('Type' => 'Integer', 'Caption' => 'Max. rychlost internetu', 'Default' => '0', 'Suffix' => 'kbit/s'),
      'UploadAsymmetry' => array('Type' => 'Integer', 'Caption' => 'Asymetrie odesílání', 'Default' => '1'),
      'Memory' => array('Type' => 'Integer', 'Caption' => 'Paměť', 'Default' => '0', 'Suffix' => 'GB'),
      'MemorySwap' => array('Type' => 'Integer', 'Caption' => 'Odkládací oddíl', 'Default' => '0', 'Suffix' => 'GB'),
      'Storage' => array('Type' => 'Integer', 'Caption' => 'Úložiště', 'Default' => '0', 'Suffix' => 'GB'),
      'CPUCount' => array('Type' => 'Integer', 'Caption' => 'Počet jader', 'Default' => '0', 'Suffix' => ''),
      'ReplaceId' => array('Type' => 'TService', 'Caption' => 'Nahradit', 'Default' => '', 'Null' => true),
    ),
  ),
  'Member' => array(
    'Title' => 'Zákazníci',
    'Table' => 'Member',
    'DefaultSortColumn' => 'Name',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
      'ResponsibleUser' => array('Type' => 'TUser', 'Caption' => 'Zodpovědný uživatel', 'Default' => ''),
      'Subject' => array('Type' => 'TSubject', 'Caption' => 'Subjekt', 'Default' => ''),
      'FamilyMemberCount' => array('Type' => 'String', 'Caption' => 'Osob v domácnosti', 'Default' => '0', 'Suffix' => 'osob'),
      'MembershipDate' => array('Type' => 'Date', 'Caption' => 'Datum členství', 'Default' => ''),
      'BillingPeriod' => array('Type' => 'TFinanceBillingPeriod', 'Caption' => 'Fakturační období aktuální', 'Default' => ''),
      'BillingPeriodNext' => array('Type' => 'TFinanceBillingPeriod', 'Caption' => 'Fakturační období příští', 'Default' => ''),
      'BillingPeriodLastDate' => array('Type' => 'Date', 'Caption' => 'Datum poslední fakturace', 'Default' => ''),
      'NetworkSegment' => array('Type' => 'TNetworkSegment', 'Caption' => 'Úsek sítě', 'Default' => '', 'Null' => true),
      'Hire' => array('Type' => 'Integer', 'Caption' => 'Nájem', 'Default' => '0', 'Suffix' => 'Kč'),
      'Blocked' => array('Type' => 'Boolean', 'Caption' => 'Blokování', 'Default' => '0'),
      'PayDay' => array('Type' => 'Integer', 'Caption' => 'Den placení', 'Default' => '0', 'Suffix' => 'den'),
      'Devices' => array('Type' => 'TDeviceList', 'Caption' => 'Registrovaná zařízení', 'Default' => ''),
      'UserRel' => array('Type' => 'TUserCustomerRelListCustomer', 'Caption' => 'Přiřazení uživatelé', 'Default' => ''),
      'ServiceRel' => array('Type' => 'TServiceCustomerRelListCustomer', 'Caption' => 'Placené služby', 'Default' => ''),
    ),
  ),
  'FinanceTreasury' => array(
    'Title' => 'Pokladny',
    'Table' => 'FinanceTreasury',
    'DefaultSortColumn' => 'Name',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
      'TimeCreate' => array('Type' => 'Date', 'Caption' => 'Čas vytvoření', 'Default' => ''),
    ),
  ),
  'FinanceBankAccount' => array(
    'Title' => 'Účty',
    'Table' => 'FinanceBankAccount',
    'DefaultSortColumn' => 'Comment',
    'Items' => array(
      'Comment' => array('Type' => 'String', 'Caption' => 'Komentář', 'Default' => ''),
      'Number' => array('Type' => 'String', 'Caption' => 'Číslo', 'Default' => ''),
      'TimeCreate' => array('Type' => 'Date', 'Caption' => 'Čas vytvoření', 'Default' => ''),
    ),
  ),
  'Country' => array(
    'Title' => 'Země',
    'Table' => 'Country',
    'DefaultSortColumn' => 'Name',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
    ),
  ),
  'User' => array(
    'Title' => 'Uživatelé',
    'Table' => 'User',
    'DefaultSortColumn' => 'Name',
    'Items' => array(
      'Login' => array('Type' => 'String', 'Caption' => 'Přihlašovací jméno', 'Default' => ''),
      'Name' => array('Type' => 'String', 'Caption' => 'Celé jméno', 'Default' => ''),
      'Password' => array('Type' => 'Password', 'Caption' => 'Heslo', 'Default' => '', 'Method' => 'DoubleSHA1'),
      'Email' => array('Type' => 'String', 'Caption' => 'E-mail', 'Default' => ''),
      'LastIpAddress' => array('Type' => 'String', 'Caption' => 'Poslední IP adresa', 'Default' => '', 'ReadOnly' => true),
      'LastLoginTime' => array('Type' => 'DateTime', 'Caption' => 'Poslední čas přihlášení', 'Default' => '', 'ReadOnly' => true),
      'RegistrationTime' => array('Type' => 'DateTime', 'Caption' => 'Čas registrace', 'Default' => ''),
      'Locked' => array('Type' => 'Boolean', 'Caption' => 'Uzamčen', 'Default' => ''),
      'ICQ' => array('Type' => 'String', 'Caption' => 'ICQ', 'Default' => ''),
      'PhoneNumber' => array('Type' => 'String', 'Caption' => 'Telefon', 'Default' => ''),
      'UserRel' => array('Type' => 'TUserCustomerRelListUser', 'Caption' => 'Přístup k zákazníkům', 'Default' => ''),
      'Permission' => array('Type' => 'TPermissionUserAssignmentListUser', 'Caption' => 'Oprávnění', 'Default' => ''),
        
    ),
  ),
  'Subject' => array(
    'Title' => 'Subjekty',
    'Table' => 'Subject',
    'DefaultSortColumn' => 'Name',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Celé jméno', 'Default' => ''),
      'AddressStreet' => array('Type' => 'String', 'Caption' => 'Ulice', 'Default' => ''),
      'AddressTown' => array('Type' => 'String', 'Caption' => 'Město', 'Default' => ''),
      'AddressPSC' => array('Type' => 'String', 'Caption' => 'PSČ', 'Default' => ''),
      'AddressCountry' => array('Type' => 'TCountry', 'Caption' => 'Země', 'Default' => ''),
      'IC' => array('Type' => 'String', 'Caption' => 'IČ', 'Default' => ''),
      'DIC' => array('Type' => 'String', 'Caption' => 'DIČ', 'Default' => ''),
      'MapPositionX' => array('Type' => 'Float', 'Caption' => 'Pozice X', 'Default' => '0'),
      'MapPositionY' => array('Type' => 'Float', 'Caption' => 'Pozice Y', 'Default' => ''),
      'WWW' => array('Type' => 'Hyperlink', 'Caption' => 'WWW', 'Default' => ''),
      'Note' => array('Type' => 'String', 'Caption' => 'Poznámka', 'Default' => ''),
      'Customer' => array('Type' => 'TMemberListSubject', 'Caption' => 'Členové', 'Default' => ''),
    ),
  ),
  'NetworkDomainAlias' => array(
    'Title' => 'Alias domény',
    'Table' => 'NetworkDomainAlias',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
      'Target' => array('Type' => 'String', 'Caption' => 'Cíl', 'Default' => ''),
      'Comment' => array('Type' => 'String', 'Caption' => 'Komentář', 'Default' => ''),
    ),
  ),
  'NetworkDevice' => array(
    'Title' => 'Síťové zařízení',
    'Table' => 'NetworkDevice',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
      'Type' => array('Type' => 'TNetworkDeviceType', 'Caption' => 'Typ', 'Default' => '0'),
      'Member' => array('Type' => 'TMember', 'Caption' => 'Zákazník', 'Default' => '0'),
      'Location' => array('Type' => 'TMember', 'Caption' => 'Umístění', 'Default' => '0'),
      'Used' => array('Type' => 'Boolean', 'Caption' => 'Použito', 'Default' => '1'),
      'Online' => array('Type' => 'Boolean', 'Caption' => 'Běží', 'Default' => '0', 'ReadOnly' => true),
      'LastOnline' => array('Type' => 'DateTime', 'Caption' => 'Naposledy běželo', 'Default' => '', 'ReadOnly' => true),
      'PermanentOnline' => array('Type' => 'Boolean', 'Caption' => 'Běží stále', 'Default' => '0'),
      'Interfaces' => array('Type' => 'TInterfaceList', 'Caption' => 'Rozhraní', 'Default' => ''),
      'MapPosition' => array('Type' => 'TMapPosition', 'Caption' => 'Pozice na mapě', 'Default' => '0'),
    ),
  ),
  'NetworkDeviceType' => array(
    'Title' => 'Typ síťového zařízení',
    'Table' => 'NetworkDeviceType',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
      'ShowOnline' => array('Type' => 'Boolean', 'Caption' => 'Ukázat online', 'Default' => '0'),
      'IconName' => array('Type' => 'String', 'Caption' => 'Jméno ikony', 'Default' => '0'),
    ),
  ),
  'NetworkInterface' => array(
    'Title' => 'Síťové rozhraní',
    'Table' => 'NetworkInterface',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
      'Type' => array('Type' => 'TNetworkInterfaceType', 'Caption' => 'Typ', 'Default' => '0'),
      'MAC' => array('Type' => 'String', 'Caption' => 'Fyzická adresa (MAC)', 'Default' => ''),
      'LocalIP' => array('Type' => 'String', 'Caption' => 'IPv4', 'Default' => ''),
      'IPv6' => array('Type' => 'String', 'Caption' => 'IPv6', 'Default' => ''),
      'ExternalIP' => array('Type' => 'String', 'Caption' => 'Veřejná IPv4', 'Default' => '0'),
      'Device' => array('Type' => 'TNetworkDevice', 'Caption' => 'Zařízení', 'Default' => ''),
      'Online' => array('Type' => 'Boolean', 'Caption' => 'Běží', 'Default' => '0', 'ReadOnly' => true),
      'LastOnline' => array('Type' => 'DateTime', 'Caption' => 'Naposledy běželo', 'Default' => '', 'ReadOnly' => true),
      'Links1' => array('Type' => 'TNetworkLinkListInterface1', 'Caption' => 'Propojení 1', 'Default' => ''),
      'Links2' => array('Type' => 'TNetworkLinkListInterface2', 'Caption' => 'Propojení 2', 'Default' => ''),
    ),
  ),
  'NetworkInterfaceType' => array(
    'Title' => 'Typ síťového rozhraní',
    'Table' => 'NetworkInterfaceType',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
      'MaxSpeed' => array('Type' => 'Integer', 'Caption' => 'Max. rychlost', 'Default' => '0', 'Suffix' => 'Mbit/s'),
      'FullDuplex' => array('Type' => 'Boolean', 'Caption' => 'Plně duplexní', 'Default' => '0'),
      'Color' => array('Type' => 'Color', 'Caption' => 'Barva', 'Default' => '0'),
    ),
  ),
  'NetworkSubnet' => array(
    'Title' => 'Podsítě',
    'DefaultSortColumn' => 'Name',
    'Table' => 'NetworkSubnet',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
      'AddressRange' => array('Type' => 'String', 'Caption' => 'Rozsah adres', 'Default' => ''),
      'Mask' => array('Type' => 'Integer', 'Caption' => 'Prefix', 'Default' => ''),
      'DHCP' => array('Type' => 'String', 'Caption' => 'DHCP', 'Default' => ''),
      'Gateway' => array('Type' => 'String', 'Caption' => 'Brána', 'Default' => ''),
      'WINS' => array('Type' => 'String', 'Caption' => 'WINS', 'Default' => ''),
      'DNS' => array('Type' => 'String', 'Caption' => 'DNS', 'Default' => ''),
      'Domain' => array('Type' => 'String', 'Caption' => 'Doména', 'Default' => ''),
      'NTP' => array('Type' => 'String', 'Caption' => 'NTP', 'Default' => ''),
      'Member' => array('Type' => 'TMember', 'Caption' => 'Zákazník', 'Default' => '', 'Null' => true),
      'ExtAddressRange' => array('Type' => 'String', 'Caption' => 'Vnější rozsah adres', 'Default' => ''),
      'ExtMask' => array('Type' => 'String', 'Caption' => 'Vnější prefix', 'Default' => ''),
      'AddressRangeIPv6' => array('Type' => 'String', 'Caption' => 'Rozsah adres IPv6', 'Default' => ''),
      'Configure' => array('Type' => 'Boolean', 'Caption' => 'Nastavovat', 'Default' => ''),
    ),
  ),
  'MapPosition' => array(
    'Title' => 'Pozice na mapě',
    'Table' => 'MapPosition',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
      'Latitude' => array('Type' => 'Float', 'Caption' => 'Zeměpisná šířka', 'Default' => '0'),
      'Longitude' => array('Type' => 'Float', 'Caption' => 'Zeměpisná výška', 'Default' => '0'),
    ),
  ),
  'NewPayment' => array(
    'Title' => 'Nová platba',
    'Items' => array(
      'DocumentLine' => array('Type' => 'TDocumentLine', 'Caption' => 'Dokladová řada', 'Default' => 3),
      'Time' => array('Type' => 'Date', 'Caption' => 'Čas', 'Default' => 'Now'),
      'Subject' => array('Type' => 'TFinanceSubject', 'Caption' => 'Subjekt', 'Default' => 0),
      'Value' => array('Type' => 'Float', 'Caption' => 'Částka [Kč]', 'Default' => '0', 'Suffix' => 'Kč'),
      'Text' => array('Type' => 'String', 'Caption' => 'Popis', 'Default' => 'Vklad'),
      'Cash' => array('Type' => 'Boolean', 'Caption' => 'Hotovost', 'Default' => '0'),
      'Taxable' => array('Type' => 'Boolean', 'Caption' => 'Ovlivňující daňový základ', 'Default' => '1'),
      //'BankAccount' => array('Type' => 'TBankAccount', 'Caption' => 'Bankovní účet', 'Default' => '1'),
    ),
  ),
  'NewInvoice' => array(
    'Title' => 'Nová faktura',
    'Items' => array(
      'DocumentLine' => array('Type' => 'TDocumentLine', 'Caption' => 'Dokladová řada', 'Default' => 5),
      'TimeCreation' => array('Type' => 'Date', 'Caption' => 'Čas vytvoření', 'Default' => 'Now'),
      'TimeDue' => array('Type' => 'Date', 'Caption' => 'Čas splatnosti', 'Default' => 'Now'),
      'Subject' => array('Type' => 'TFinanceSubject', 'Caption' => 'Subjekt', 'Default' => 0),
      'Text' => array('Type' => 'String', 'Caption' => 'Popis', 'Default' => 'Nákup zařízení'),
      'Value' => array('Type' => 'Float', 'Caption' => 'Částka [Kč]', 'Default' => '0', 'Suffix' => 'Kč'),
      //'Items' => array('Type' => 'Array', 'Caption' => 'Položky', 'ItemClass' => 'FinanceInvoiceItem'),
    ),
  ),
  'FinanceInvoiceItem' => array(
    'Title' => 'Položka faktury',
    'Items' => array(
      'Value' => array('Type' => 'Float', 'Caption' => 'Částka [Kč]', 'Default' => '0', 'Suffix' => 'Kč'),
      'Text' => array('Type' => 'String', 'Caption' => 'Popis', 'Default' => 'Položka'),
      'Quantity' => array('Type' => 'Integer', 'Caption' => 'Množství', 'Default' => '1'),
      'Tax' => array('Type' => 'Integer', 'Caption' => 'Daň [%]', 'Default' => '19', 'Suffix' => '%'),
    ),
  ),
  'FinanceOperation' => array(
    'Title' => 'Finanční operace',
    'Table' => 'FinanceOperation',
    'DefaultSortColumn' => 'Time',
    'Items' => array(
      'Time' => array('Type' => 'Date', 'Caption' => 'Čas realizace', 'Default' => ''),
      'Subject' => array('Type' => 'TSubject', 'Caption' => 'Subjekt', 'Default' => ''),
      'Cash' => array('Type' => 'Boolean', 'Caption' => 'Hotově', 'Default' => ''),
      'Taxable' => array('Type' => 'Boolean', 'Caption' => 'Zdanitelné', 'Default' => ''),
      'Value' => array('Type' => 'Integer', 'Caption' => 'Částka', 'Default' => '0', 'Suffix' => 'Kč'),
      'BillCode' => array('Type' => 'String', 'Caption' => 'Označení', 'Default' => ''),
      'Text' => array('Type' => 'String', 'Caption' => 'Popis', 'Default' => ''),
      'Network' => array('Type' => 'Boolean', 'Caption' => 'Týkající sítě', 'Default' => ''),
      'BankAccount' => array('Type' => 'TFinanceBankAccount', 'Caption' => 'Účet', 'Default' => '', 'Null' => true),
      'Treasury' => array('Type' => 'TFinanceTreasury', 'Caption' => 'Pokladna', 'Default' => '', 'Null' => true),
    ),
  ),
  'FinanceClaimsLiabilities' => array(
    'Title' => 'Závazky a pohledávky',
    'Table' => 'FinanceClaimsLiabilities',
    'DefaultSortColumn' => 'TimeCreation',
    'Items' => array(
      'TimeCreation' => array('Type' => 'Date', 'Caption' => 'Čas vytvoření', 'Default' => ''),
      'TimeDue' => array('Type' => 'Date', 'Caption' => 'Čas splatnosti', 'Default' => ''),
      'TimePayment' => array('Type' => 'Date', 'Caption' => 'Čas zaplacení', 'Default' => ''),
      'Subject' => array('Type' => 'TSubject', 'Caption' => 'Subjekt', 'Default' => ''),
      'BillCode' => array('Type' => 'String', 'Caption' => 'Označení', 'Default' => ''),
      'Value' => array('Type' => 'Integer', 'Caption' => 'Částka', 'Default' => '0', 'Suffix' => 'Kč'),
      'Text' => array('Type' => 'String', 'Caption' => 'Popis', 'Default' => ''),
      'Bill' => array('Type' => 'TFinanceBill', 'Caption' => 'Doklad', 'Default' => '', 'Null' => true),
    ),
  ),
  'Measure' => array(
    'Title' => 'Měření',
    'Table' => 'Measure',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Zkratka', 'Default' => 'measure'),
      'Title' => array('Type' => 'String', 'Caption' => 'Název', 'Default' => 'Měření'),
      'Description' => array('Type' => 'String', 'Caption' => 'Popis', 'Default' => 'Měření veličiny'),
      'Unit' => array('Type' => 'String', 'Caption' => 'Jednotka', 'Default' => ''),
      'Continuity' => array('Type' => 'Boolean', 'Caption' => 'Spojitost', 'Default' => '0'),
      'Period' => array('Type' => 'Integer', 'Caption' => 'Perioda měření', 'Default' => '60'),
      'PermissionAdd' => array('Type' => 'String', 'Caption' => 'Oprávnění k měření', 'Default' => 'localhost.localdomain'),
      'PermissionView' => array('Type' => 'String', 'Caption' => 'Oprávnění k prohlížení', 'Default' => 'all'),
      'Enabled' => array('Type' => 'Boolean', 'Caption' => 'Povolení', 'Default' => '1'),
      'DataType' => array('Type' => 'String', 'Caption' => 'Typ datových položek', 'Default' => 'int'),
      'DataTable' => array('Type' => 'String', 'Caption' => 'Tabulka měřených dat', 'Default' => 'data'),
    ),
  ),
  'UserOptions' => array(
    'Title' => 'Základní nastavení',
    'Table' => 'User',
    'SubmitText' => 'Uložit',
    'Items' => array(
      'Login' => array('Type' => 'String', 'Caption' => 'Přihlašovací jméno', 'Default' => ''),
      'Password' => array('Type' => 'Password', 'Caption' => 'Heslo', 'Default' => ''),
      'Name' => array('Type' => 'String', 'Caption' => 'Zobrazované jméno', 'Default' => ''),
      'Email' => array('Type' => 'String', 'Caption' => 'E-mail', 'Default' => ''),
      'PhoneNumber' => array('Type' => 'String', 'Caption' => 'Telefón', 'Default' => ''),
      'ICQ' => array('Type' => 'String', 'Caption' => 'ICQ', 'Default' => ''),
    ),
  ),
  'UserRegister' => array(
    'Title' => 'Registrace uživatele',
    'SubmitText' => 'Registrovat',
    'Table' => 'User',
    'Items' => array(
      'Login' => array('Type' => 'String', 'Caption' => 'Přihlašovací jméno', 'Default' => ''),
      'Password' => array('Type' => 'Password', 'Caption' => 'Heslo', 'Default' => ''),
      'Password2' => array('Type' => 'Password', 'Caption' => 'Potvrzení hesla', 'Default' => ''),
      'Name' => array('Type' => 'String', 'Caption' => 'Zobrazované jméno', 'Default' => ''),
      'Email' => array('Type' => 'String', 'Caption' => 'E-mail', 'Default' => ''),
      'PhoneNumber' => array('Type' => 'String', 'Caption' => 'Telefón', 'Default' => ''),
      'ICQ' => array('Type' => 'String', 'Caption' => 'ICQ', 'Default' => ''),
    ),
  ),
  'MemberOptions' => array(
    'Title' => 'Nastavení domácnosti',
    'Table' => '(SELECT Member.Id, Member.FamilyMemberCount, Subject.Name, Subject.AddressStreet, Subject.AddressTown, Subject.AddressPSC, Subject.IC, Subject.DIC FROM Member JOIN Subject ON Subject.Id = Member.Subject)',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Fakturační jméno', 'Default' => ''),
      'AddressStreet' => array('Type' => 'String', 'Caption' => 'Ulice', 'Default' => 'Zděchov'),
      'AddressTown' => array('Type' => 'String', 'Caption' => 'Město', 'Default' => 'Zděchov'),
      'AddressPSC' => array('Type' => 'String', 'Caption' => 'PSČ', 'Default' => '75607'),
      'AddressCountry' => array('Type' => 'TCountry', 'Caption' => 'Země', 'Default' => '1'),
      'IC' => array('Type' => 'String', 'Caption' => 'IČ', 'Default' => ''),
      'DIC' => array('Type' => 'String', 'Caption' => 'DIČ', 'Default' => ''),
      'FamilyMemberCount' => array('Type' => 'Integer', 'Caption' => 'Počet osob v domácnosti', 'Default' => '', 'Suffix' => 'osob'),
      'BillingPeriodNext' => array('Type' => 'TFinanceBillingPeriod', 'Caption' => 'Požadované fakturované období', 'Default' => ''),
    ),
  ),
  'PasswordRecovery' => array(
    'Title' => 'Obnova hesla',
    'SubmitText' => 'Obnovit',
    'Table' => '',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Přihlašovací jméno', 'Default' => ''),
      'Email' => array('Type' => 'String', 'Caption' => 'E-mail', 'Default' => ''),
    ),
  ),
  'UserLogin' => array(
    'Title' => 'Přihlášení uživatele',
    'SubmitText' => 'Přihlásit',
    'Table' => '',
    'Items' => array(
      'Username' => array('Type' => 'String', 'Caption' => 'Přihlašovací jméno', 'Default' => ''),
      'Password' => array('Type' => 'Password', 'Caption' => 'Heslo', 'Default' => ''),
    ),
  ),
  'NewNetworkDevice' => array(
    'Title' => 'Vložit nové zařízení',
    'Table' => 'Product',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Název', 'Default' => ''),
      'Price' => array('Type' => 'Float', 'Caption' => 'Cena', 'Default' => 0, 'Suffix' => 'Kč'),
      'Count' => array('Type' => 'Integer', 'Caption' => 'Počet', 'Default' => 1),
      'Date' => array('Type' => 'Time', 'Caption' => 'Datum zakoupení', 'Default' => 'Now'),
      'Segment' => array('Type' => 'TNetworkSegment', 'Caption' => 'Segment sítě', 'Default' => 0, 'Null' => true),
      'Date' => array('Type' => 'Time', 'Caption' => 'Datum zakoupení', 'Default' => 'Now'),
      'Used' => array('Type' => 'TNetworkDeviceState', 'Caption' => 'Stav', 'Default' => 0),
      'Consumption' => array('Type' => 'Integer', 'Caption' => 'Spotřeba', 'Default' => 0, 'Suffix' => 'Watt'),
      'Member' => array('Type' => 'TMember', 'Caption' => 'Subjekt', 'Default' => 0),
      'Info' => array('Type' => 'String', 'Caption' => 'Poznámky', 'Default' => ''),
      'Shop' => array('Type' => 'String', 'Caption' => 'Obchod', 'Default' => ''),
      'DeviceId' => array('Type' => 'String', 'Caption' => 'Sériové číslo', 'Default' => ''),
    ),
  ),
  'NewNetworkDeviceHistory' => array(
    'Title' => 'Vložit záznam historie zařízení',
    'Table' => 'NetworkDeviceHistory',
    'Items' => array(
      'Device' => array('Type' => 'TNetworkDevice', 'Caption' => 'Zařízení', 'Default' => 0),
      'Time' => array('Type' => 'Time', 'Caption' => 'Čas', 'Default' => 'Now'),
      'Action' => array('Type' => 'TNetworkDeviceAction', 'Caption' => 'Akce', 'Default' => 0),
      'Notice' => array('Type' => 'String', 'Caption' => 'Poznámka', 'Default' => ''),
    ),
  ),
  'News' => array(
    'Title' => 'Nová aktualita',
    'Table' => '',
    'SubmitText' => 'Vložit',
    'Items' => array(
      'Category' => array('Type' => 'TNewsCategory', 'Caption' => 'Kategorie', 'Default' => 0),
      'Title' => array('Type' => 'String', 'Caption' => 'Nadpis', 'Default' => ''),
      'Content' => array('Type' => 'Text', 'Caption' => 'Obsah', 'Default' => ''),
      'Enclosure1' => array('Type' => 'File', 'Caption' => 'Přílohy (Max. velikost souboru 1 MB)', 'Default' => ''),
      'Enclosure2' => array('Type' => 'File', 'Caption' => '', 'Default' => ''),
      'Enclosure3' => array('Type' => 'File', 'Caption' => '', 'Default' => ''),
    ),
  ),
  'Email' => array(
    'Title' => 'Nový email',
    'Table' => 'EmailQueue',
    'SubmitText' => 'Odeslat',
    'Items' => array(
      'Address' => array('Type' => 'String', 'Caption' => 'Adresa', 'Default' => ''),
      'Subject' => array('Type' => 'String', 'Caption' => 'Předmět', 'Default' => ''),
      'Content' => array('Type' => 'Text', 'Caption' => 'Obsah', 'Default' => ''),
    ),
  ),
  'ServiceCategory' => array(
    'Title' => 'Kategorie služeb',
    'Table' => 'ServiceCategory',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
      'Items' => array('Type' => 'TServiceListServiceCategory', 'Caption' => 'Služby', 'Default' => ''),
    ),
  ),
);

$FormTypes = array(
  'TServiceCategory' => array(
    'Type' => 'Reference',
    'Table' => 'ServiceCategory',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TPriority' => array(
    'Type' => 'Enumeration',
    'States' => array('Nízká', 'Střední', 'Vysoká'),
  ),
  'TNetworkDeviceState' => array(
    'Type' => 'Enumeration',
    'States' => array('Vyřazeno', 'Použito', 'Na skladě'),
  ),
  'TNetworkDeviceAction' => array(
    'Type' => 'Enumeration',
    'States' => array('Zakoupeno', 'Prodáno', 'Zařazeno do použití', 'Vyřazeno z použití', 'Zasláno do reklamace', 'Přijato z reklamace'),
  ),
  'TService' => array(
    'Type' => 'Reference',
    'Table' => 'Service',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TFinanceBillingPeriod' => array(
    'Type' => 'Reference',
    'Table' => 'FinanceBillingPeriod',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TMember' => array(
    'Type' => 'Reference',
    'Table' => 'Member',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TMemberListSubject' => array(
    'Type' => 'ManyToOne',
    'Table' => 'Member',
    'Id' => 'Id',
    'Ref' => 'Subject',
    'Filter' => '1',
  ),
  'TMapPosition' => array(
    'Type' => 'Reference',
    'Table' => 'MapPosition',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TUser' => array(
    'Type' => 'Reference',
    'Table' => 'User',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TFinanceSubject' => array(
    'Type' => 'Reference',
    'Table' => 'Subject',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TDocumentLine' => array(
    'Type' => 'Reference',
    'Table' => 'DocumentLine',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TBankAccount' => array(
    'Type' => 'Reference',
    'Table' => 'FinanceBankAccount',
    'Id' => 'Id',
    'Name' => 'Comment',
    'Filter' => '1',
  ),
  'TNetworkDevice' => array(
    'Type' => 'Reference',
    'Table' => 'NetworkDevice',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TNetworkDeviceType' => array(
    'Type' => 'Reference',
    'Table' => 'NetworkDeviceType',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TNetworkInterface' => array(
    'Type' => 'Reference',
    'Table' => 'NetworkInterface',
    'View' => '(SELECT NetworkInterface.*, CONCAT(NetworkDevice.Name, "-", NetworkInterface.Name) AS DeviceName FROM NetworkInterface '.
      'LEFT JOIN NetworkDevice ON NetworkDevice.Id = NetworkInterface.Device) AS T',      
    'Id' => 'Id',
    'Name' => 'DeviceName',
    'Filter' => '1',
  ),
  'TNetworkInterfaceType' => array(
    'Type' => 'Reference',
    'Table' => 'NetworkInterfaceType',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TNetworkSegment' => array(
    'Type' => 'Reference',
    'Table' => 'NetworkSegment',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TNewsCategory' => array(
    'Type' => 'Reference',
    'Table' => 'NewsCategory',
    'Id' => 'Id',
    'Name' => 'Caption',
    'Filter' => '1',
  ),
  'TCountry' => array(
    'Type' => 'Reference',
    'Table' => 'Country',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TSubject' => array(
    'Type' => 'Reference',
    'Table' => 'Subject',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TFinanceTreasury' => array(
    'Type' => 'Reference',
    'Table' => 'FinanceTreasury',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TFinanceBankAccount' => array(
    'Type' => 'Reference',
    'Table' => 'FinanceBankAccount',
    'Id' => 'Id',
    'Name' => 'Comment',
    'Filter' => '1',
  ),
  'TFinanceBill' => array(
    'Type' => 'Reference',
    'Table' => 'FinanceBills',
    'Id' => 'Id',
    'Name' => 'Id',
    'Filter' => '1',
  ),
  'TTaskList' => array(
    'Type' => 'ManyToOne',
    'Table' => 'Task',
    'Id' => 'Id',
    'Ref' => 'Group',
    'Filter' => '1',
  ),
  'TDeviceList' => array(
    'Type' => 'ManyToOne',
    'Table' => 'NetworkDevice',
    'Id' => 'Id',
    'Ref' => 'Member',
    'Filter' => '1',
  ),
  'TInterfaceList' => array(
    'Type' => 'ManyToOne',
    'Table' => 'NetworkInterface',
    'Id' => 'Id',
    'Ref' => 'Device',
    'Filter' => '1',
  ),
  'TProduct' => array(
    'Type' => 'Reference',
    'Table' => 'Product',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TTaskGroup' => array(
    'Type' => 'Reference',
    'Table' => 'TaskGroup',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TStock' => array(
    'Type' => 'Reference',
    'Table' => 'Stock',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TUnitOfMeasure' => array(
    'Type' => 'Reference',
    'Table' => 'UnitOfMeasure',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TLanguage' => array(
    'Type' => 'Reference',
    'Table' => 'Language',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TTVGroup' => array(
    'Type' => 'Reference',
    'Table' => 'TVGroup',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TStockItemListStock' => array(
    'Type' => 'ManyToOne',
    'Table' => 'StockItem',
    'Id' => 'Id',
    'Ref' => 'Stock',
    'Filter' => '1',
  ),
  'TStockItemListProduct' => array(
    'Type' => 'ManyToOne',
    'Table' => 'StockItem',
    'Id' => 'Id',
    'Ref' => 'Product',
    'Filter' => '1',
  ),   
  'TDocumentLine' => array(
    'Type' => 'Reference',
    'Table' => 'DocumentLine',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),   
  'TFinanceYear' => array(
    'Type' => 'Reference',
    'Table' => 'FinanceYear',
    'Id' => 'Id',
    'Name' => 'Year',
    'Filter' => '1',
  ),
  'TTask' => array(
    'Type' => 'Reference',
    'Table' => 'Task',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TPermissionGroup' => array(
    'Type' => 'Reference',
    'Table' => 'PermissionGroup',
    'Id' => 'Id',
    'Name' => 'Description',
    'Filter' => '1',
  ),
  'TPermissionGroupAssignment' => array(
    'Type' => 'Reference',
    'Table' => 'PermissionGroupAssignment',
    'Id' => 'Id',
    'Name' => 'Id',
    'Filter' => '1',
  ),
  'TPermissionOperation' => array(
    'Type' => 'Reference',
    'Table' => 'PermissionOperation',
    'Id' => 'Id',
    'Name' => 'Id',
    'Filter' => '1',
  ),
  'TDocumentLineSequenceListYear' => array(
    'Type' => 'ManyToOne',
    'Table' => 'DocumentLineSequence',
    'Id' => 'Id',
    'Ref' => 'FinanceYear',
    'Filter' => '1',
  ),
  'TDocumentLineSequenceListLine' => array(
    'Type' => 'ManyToOne',
    'Table' => 'DocumentLineSequence',
    'Id' => 'Id',
    'Ref' => 'DocumentLine',
    'Filter' => '1',
  ),
  'TWorkListTask' => array(
    'Type' => 'ManyToOne',
    'Table' => 'Work',
    'Id' => 'Id',
    'Ref' => 'Task',
    'Filter' => '1',
  ),
  'TUserCustomerRelListUser' => array(
    'Type' => 'ManyToOne',
    'Table' => 'UserCustomerRel',
    'Id' => 'Id',
    'Ref' => 'User',
    'Filter' => '1',
  ),
  'TUserCustomerRelListCustomer' => array(
    'Type' => 'ManyToOne',
    'Table' => 'UserCustomerRel',
    'Id' => 'Id',
    'Ref' => 'Customer',
    'Filter' => '1',
  ),
  'TServiceCustomerRelListCustomer' => array(
    'Type' => 'ManyToOne',
    'Table' => 'ServiceCustomerRel',
    'Id' => 'Id',
    'Ref' => 'Customer',
    'Filter' => '1',
  ),
  'TPermissionUserAssignmentListUser' => array(
    'Type' => 'ManyToOne',
    'Table' => 'PermissionUserAssignment',
    'Id' => 'Id',
    'Ref' => 'User',
    'Filter' => '1',
  ),
  'TPermissionGroupAssignmentListGroup' => array(
    'Type' => 'ManyToOne',
    'Table' => 'PermissionGroupAssignment',
    'Id' => 'Id',
    'Ref' => 'Group',
    'Filter' => '1',
  ),
  'TPermissionGroupAssignmentListOperation' => array(
    'Type' => 'ManyToOne',
    'Table' => 'PermissionGroupAssignment',
    'Id' => 'Id',
    'Ref' => 'AssignedOperation',
    'Filter' => '1',
  ),
  'TPermissionGroupAssignmentListAssignedGroup' => array(
    'Type' => 'ManyToOne',
    'Table' => 'PermissionGroupAssignment',
    'Id' => 'Id',
    'Ref' => 'AssignedGroup',
    'Filter' => '1',
  ),
  'TServiceListServiceCategory' => array(
    'Type' => 'ManyToOne',
    'Table' => 'Service',
    'Id' => 'Id',
    'Ref' => 'Category',
    'Filter' => '1',
  ),
  'TNetworkLinkListInterface1' => array(
    'Type' => 'ManyToOne',
    'Table' => 'NetworkLink',
    'Id' => 'Id',
    'Ref' => 'Interface1',
    'Filter' => '1',
  ),
  'TNetworkLinkListInterface2' => array(
    'Type' => 'ManyToOne',
    'Table' => 'NetworkLink',
    'Id' => 'Id',
    'Ref' => 'Interface2',
    'Filter' => '1',
  ),
);


?>
